net.sf.jasperreports.olap.xmla

## Class JRXmlaQueryExecuter

- java.lang.Object
- - net.sf.jasperreports.engine.query.JRAbstractQueryExecuter
  - - net.sf.jasperreports.olap.xmla.JRXmlaQueryExecuter

- All Implemented Interfaces:
    JRQueryExecuter

      public class JRXmlaQueryExecuter
      extends JRAbstractQueryExecuter

  Version:
    $Id: JRXmlaQueryExecuter.java 6923 2014-02-24 14:18:52Z teodord $
  Author:
    Michael Gunther (m.guenther at users.sourceforge.net), Lucian Chirita (lucianc@users.sourceforge.net), swood

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.jasperreports.engine.query.JRAbstractQueryExecuter

      `JRAbstractQueryExecuter.QueryParameter, JRAbstractQueryExecuter.QueryParameterEntry, JRAbstractQueryExecuter.QueryParameterVisitor, JRAbstractQueryExecuter.ValuedQueryParameter, JRAbstractQueryExecuter.VisitExceptionWrapper`

  - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.query.JRAbstractQueryExecuter

      `CLAUSE_POSITION_ID, clauseFunctions, dataset`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRXmlaQueryExecuter(JasperReportsContext jasperReportsContext, JRDataset dataset, java.util.Map<java.lang.String,? extends JRValueParameter> parametersMap)`
    `JRXmlaQueryExecuter(JRDataset dataset, java.util.Map<java.lang.String,? extends JRValueParameter> parametersMap)` Deprecated. Replaced by `JRXmlaQueryExecuter(JasperReportsContext, JRDataset, Map)`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addParameterList(javax.xml.soap.SOAPEnvelope envelope, javax.xml.soap.SOAPElement eParent, java.lang.String typeName, java.lang.String listName, java.util.Map<java.lang.String,java.lang.String> params)`
    `boolean` | `cancelQuery()` Cancels the query if it's currently running.
    `void` | `close()` Closes resources kept open during the data source iteration.
    `JRDataSource` | `createDatasource()` Executes the query and creates a `JRDataSource` out of the result.
    `protected javax.xml.soap.SOAPMessage` | `createQueryMessage()`
    `protected javax.xml.soap.SOAPConnection` | `createSOAPConnection()`
    `protected javax.xml.soap.SOAPMessage` | `executeQuery(javax.xml.soap.SOAPMessage message, java.net.URL url)` Sends the SOAP Message over the connection and returns the Result-SOAP-Message
    `protected java.lang.String` | `getCanonicalQueryLanguage()` Returns a canonical query language for this query executer implementation.
    `protected java.lang.String` | `getParameterReplacement(java.lang.String parameterName)` Returns the replacement text for a query parameter.
    `JROlapResult` | `getResult()`
    `protected java.lang.String` | `getSoapUrl()`
    `protected void` | `handleCellErrors(java.util.Iterator<?> errorElems)`
    `protected void` | `handleHierInfo(JRXmlaResultAxis axis, javax.xml.soap.SOAPElement hierInfoElement)`
    `protected void` | `handleResultFault(javax.xml.soap.SOAPFault fault)`
    `protected void` | `handleTupleElement(JRXmlaResultAxis axis, javax.xml.soap.SOAPElement tupleElement)`
    `protected void` | `handleTuplesElement(JRXmlaResultAxis axis, javax.xml.soap.SOAPElement tuplesElement)`
    `protected void` | `parseAxesElement(javax.xml.soap.SOAPElement axesElement)`
    `protected void` | `parseAxesInfoElement(javax.xml.soap.SOAPElement axesInfoElement)`
    `protected void` | `parseCellDataElement(javax.xml.soap.SOAPElement cellDataElement)`
    `protected void` | `parseOLAPInfoElement(javax.xml.soap.SOAPElement olapInfoElement)`
    `protected void` | `parseResult(javax.xml.soap.SOAPMessage reply)` Parses the result-Message into this class's structure
    `protected java.lang.String` | `prettyPrintSOAP(javax.xml.soap.SOAPElement element)`

    - ### Methods inherited from class net.sf.jasperreports.engine.query.JRAbstractQueryExecuter

      `addQueryMultiParameters, addQueryMultiParameters, addQueryParameter, addQueryParameter, appendClauseChunk, appendParameterChunk, appendParameterClauseChunk, appendQueryChunk, appendTextChunk, applyClause, checkParameter, findExtensionQueryFunction, getBooleanParameter, getBooleanParameter, getBooleanParameterOrProperty, getBooleanParameterOrProperty, getCollectedParameterNames, getCollectedParameters, getJasperReportsContext, getParameter, getParameterValue, getParameterValue, getPropertiesUtil, getQueryString, getStringParameter, getStringParameterOrProperty, getValueParameter, getValueParameter, parameterHasValue, parseQuery, registerClauseFunction, resolveFunction, unregisterClauseFunction, visitQueryParameters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRXmlaQueryExecuter

          public JRXmlaQueryExecuter(JasperReportsContext jasperReportsContext,
                             JRDataset dataset,
                             java.util.Map<java.lang.String,? extends JRValueParameter> parametersMap)

    - #### JRXmlaQueryExecuter

          public JRXmlaQueryExecuter(JRDataset dataset,
                             java.util.Map<java.lang.String,? extends JRValueParameter> parametersMap)

      Deprecated. Replaced by `JRXmlaQueryExecuter(JasperReportsContext, JRDataset, Map)`.

  - ### Method Detail

    - #### getCanonicalQueryLanguage

          protected java.lang.String getCanonicalQueryLanguage()

      Description copied from class: `JRAbstractQueryExecuter`
      Returns a canonical query language for this query executer implementation.

      The canonical language is used to retrieve extensions for the query executer.

      The default implementation returns the runtime query language used in the dataset, but query executer implementations should override this method and return a fixed language.

      Overrides:
        `getCanonicalQueryLanguage` in class `JRAbstractQueryExecuter`
      Returns:
        a canonical query language

    - #### getParameterReplacement

          protected java.lang.String getParameterReplacement(java.lang.String parameterName)

      Description copied from class: `JRAbstractQueryExecuter`
      Returns the replacement text for a query parameter.
      Specified by:
        `getParameterReplacement` in class `JRAbstractQueryExecuter`
      Parameters:
        `parameterName` - the parameter name
      Returns:
        the replacement text
      See Also:
        `JRQueryChunk.TYPE_PARAMETER`

    - #### getResult

          public JROlapResult getResult()

    - #### createDatasource

          public JRDataSource createDatasource()
                                        throws JRException

      Description copied from interface: `JRQueryExecuter`
      Executes the query and creates a `JRDataSource` out of the result.
      Returns:
        a `JRDataSource` wrapping the query execution result.
      Throws:
        `JRException`

    - #### getSoapUrl

          protected java.lang.String getSoapUrl()
                                         throws java.net.MalformedURLException

      Throws:
        `java.net.MalformedURLException`

    - #### cancelQuery

          public boolean cancelQuery()
                              throws JRException

      Description copied from interface: `JRQueryExecuter`
      Cancels the query if it's currently running.

      This method will be called from a different thread if the client decides to cancel the filling process.
      Returns:
        `true` if and only if the query was running and it has been canceled
      Throws:
        `JRException`

    - #### close

          public void close()

      Description copied from interface: `JRQueryExecuter`
      Closes resources kept open during the data source iteration.

      This method is called after the report is filled or the dataset is iterated. If a resource is not needed after the data source has been created, it should be released at the end of `createDatasource`.

    - #### createSOAPConnection

          protected javax.xml.soap.SOAPConnection createSOAPConnection()

    - #### createQueryMessage

          protected javax.xml.soap.SOAPMessage createQueryMessage()

    - #### addParameterList

          protected void addParameterList(javax.xml.soap.SOAPEnvelope envelope,
                              javax.xml.soap.SOAPElement eParent,
                              java.lang.String typeName,
                              java.lang.String listName,
                              java.util.Map<java.lang.String,java.lang.String> params)
                                   throws javax.xml.soap.SOAPException

      Throws:
        `javax.xml.soap.SOAPException`

    - #### executeQuery

          protected javax.xml.soap.SOAPMessage executeQuery(javax.xml.soap.SOAPMessage message,
                                                java.net.URL url)

      Sends the SOAP Message over the connection and returns the Result-SOAP-Message
      Returns:
        Reply-Message

    - #### parseResult

          protected void parseResult(javax.xml.soap.SOAPMessage reply)
                              throws javax.xml.soap.SOAPException

      Parses the result-Message into this class's structure
      Parameters:
        `reply` - The reply-Message from the Server
      Throws:
        `javax.xml.soap.SOAPException`

    - #### handleResultFault

          protected void handleResultFault(javax.xml.soap.SOAPFault fault)

    - #### parseOLAPInfoElement

          protected void parseOLAPInfoElement(javax.xml.soap.SOAPElement olapInfoElement)
                                       throws javax.xml.soap.SOAPException

      Throws:
        `javax.xml.soap.SOAPException`

    - #### parseAxesInfoElement

          protected void parseAxesInfoElement(javax.xml.soap.SOAPElement axesInfoElement)
                                       throws javax.xml.soap.SOAPException

      Throws:
        `javax.xml.soap.SOAPException`

    - #### parseAxesElement

          protected void parseAxesElement(javax.xml.soap.SOAPElement axesElement)
                                   throws javax.xml.soap.SOAPException

      Throws:
        `javax.xml.soap.SOAPException`

    - #### parseCellDataElement

          protected void parseCellDataElement(javax.xml.soap.SOAPElement cellDataElement)
                                       throws javax.xml.soap.SOAPException

      Throws:
        `javax.xml.soap.SOAPException`

    - #### handleCellErrors

          protected void handleCellErrors(java.util.Iterator<?> errorElems)
                                   throws javax.xml.soap.SOAPException

      Throws:
        `javax.xml.soap.SOAPException`

    - #### handleHierInfo

          protected void handleHierInfo(JRXmlaResultAxis axis,
                            javax.xml.soap.SOAPElement hierInfoElement)
                                 throws javax.xml.soap.SOAPException

      Throws:
        `javax.xml.soap.SOAPException`

    - #### handleTuplesElement

          protected void handleTuplesElement(JRXmlaResultAxis axis,
                                 javax.xml.soap.SOAPElement tuplesElement)
                                      throws javax.xml.soap.SOAPException

      Throws:
        `javax.xml.soap.SOAPException`

    - #### handleTupleElement

          protected void handleTupleElement(JRXmlaResultAxis axis,
                                javax.xml.soap.SOAPElement tupleElement)
                                     throws javax.xml.soap.SOAPException

      Throws:
        `javax.xml.soap.SOAPException`

    - #### prettyPrintSOAP

          protected java.lang.String prettyPrintSOAP(javax.xml.soap.SOAPElement element)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com